#!/bin/sh -ex
# Copyright (C) @BABOLO  2008 Sep 20
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-perl.m4,v 1.1 2008/09/22 18:23:29 babolo Exp $

JNTROSTUP(exim,-perl,exim,dnl
# jailup ${inclass}${suffix} dir
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
dnl
)

jdir="${1}"
perl=perl5.8.8
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"
${up_mdir} "${main_dir}" ${MTREE}
ppath=`${perl} -e 'for($i=1;$i<10;$i++){last if(@INC[$i]eq".");last if(@INC[$i]eq"");print @INC[$i]."\n";}'`
${up_genlist} usr/site_perl/ ${MTREE} | ${up_arb} pm "${main_dir}/usr/site_perl" "${ppath}"
${up_mtree} "${main_dir}" ${MTREE}
